PDA

View Full Version : (iMac) I can't install the nvidia driver



lolveley
27th October 2009, 11:18 PM
hello,

I have an iMac (graphic card : GeForce 9400) and I have an error while trying to install the nVidia driver.
I follow the tutorial : http://doc.fedora-fr.org/wiki/Carte_graphique_NVIDIA_:_installation_des_pilotes (http://doc.fedora-fr.org/wiki/Carte_graphique_NVIDIA_:_i:Dnstallation_des_pilote s).
l'erreur se produit au point 2.1.

voici ce que donne /sbin/lspci :



[root@harry ~]# /sbin/lspci
00:00.0 Host bridge: nVidia Corporation MCP79 Host Bridge (rev b1)
00:00.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.0 ISA bridge: nVidia Corporation MCP79 LPC Bridge (rev b2)
00:03.1 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.2 SMBus: nVidia Corporation MCP79 SMBus (rev b1)
00:03.3 RAM memory: nVidia Corporation MCP79 Memory Controller (rev b1)
00:03.4 RAM memory: nVidia Corporation Device 0a98 (rev b1)
00:03.5 Co-processor: nVidia Corporation MCP79 Co-processor (rev b1)
00:04.0 USB Controller: nVidia Corporation MCP79 OHCI USB 1.1 Controller (rev b1)
00:04.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1)
00:06.0 USB Controller: nVidia Corporation MCP79 OHCI USB 1.1 Controller (rev b1)
00:06.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1)
00:08.0 Audio device: nVidia Corporation MCP79 High Definition Audio (rev b1)
00:09.0 PCI bridge: nVidia Corporation MCP79 PCI Bridge (rev b1)
00:0a.0 Ethernet controller: nVidia Corporation MCP79 Ethernet (rev b1)
00:0b.0 IDE interface: nVidia Corporation MCP79 SATA Controller (rev b1)
00:0c.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:10.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:15.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
00:16.0 PCI bridge: nVidia Corporation MCP79 PCI Express Bridge (rev b1)
03:00.0 VGA compatible controller: nVidia Corporation GeForce 9400 (rev b1)
04:00.0 Network controller: Broadcom Corporation BCM4322 802.11a/b/g/n Wireless LAN Controller (rev 01)
05:00.0 FireWire (IEEE 1394): Agere Systems FW643 PCI Express1394b Controller (PHY/Link) (rev 07)



je suppose que je rentre dans la cas 2.12, et quand je tape " yum install kmod-nvidia " j'obtiens ceci :



[root@harry ~]# yum install kmod-nvidia
Loaded plugins: refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package kmod-nvidia.i586 0:185.18.36-1.fc11.3 set to be updated
--> Processing Dependency: kmod-nvidia-2.6.30.9-90.fc11.i586 >= 185.18.36-1.fc11.3 for package: kmod-nvidia-185.18.36-1.fc11.3.i586
--> Running transaction check
---> Package kmod-nvidia-2.6.30.9-90.fc11.i586.i586 0:185.18.36-1.fc11.3 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 for package: kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586
--> Processing Dependency: nvidia-kmod-common >= 185.18.36 for package: kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586
--> Running transaction check
---> Package kmod-nvidia-2.6.30.9-90.fc11.i586.i586 0:185.18.36-1.fc11.3 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 for package: kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586
---> Package xorg-x11-drv-nvidia.i586 0:185.18.36-3.fc11 set to be updated
--> Processing Dependency: xorg-x11-drv-nvidia-libs-i586 = 185.18.36-3.fc11 for package: xorg-x11-drv-nvidia-185.18.36-3.fc11.i586
--> Processing Dependency: livna-config-display >= 0.0.21 for package: xorg-x11-drv-nvidia-185.18.36-3.fc11.i586
--> Processing Dependency: livna-config-display for package: xorg-x11-drv-nvidia-185.18.36-3.fc11.i586
--> Processing Dependency: livna-config-display for package: xorg-x11-drv-nvidia-185.18.36-3.fc11.i586
--> Running transaction check
---> Package kmod-nvidia-2.6.30.9-90.fc11.i586.i586 0:185.18.36-1.fc11.3 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 for package: kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586
---> Package livna-config-display.noarch 0:0.0.23-1.fc11 set to be updated
--> Processing Dependency: system-config-display for package: livna-config-display-0.0.23-1.fc11.noarch
---> Package xorg-x11-drv-nvidia-libs.i586 0:185.18.36-3.fc11 set to be updated
--> Running transaction check
---> Package kmod-nvidia-2.6.30.9-90.fc11.i586.i586 0:185.18.36-1.fc11.3 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 for package: kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586
---> Package system-config-display.noarch 0:1.1.3-2.fc11 set to be updated
--> Processing Dependency: rhpxl >= 0.34-1 for package: system-config-display-1.1.3-2.fc11.noarch
--> Running transaction check
---> Package kmod-nvidia-2.6.30.9-90.fc11.i586.i586 0:185.18.36-1.fc11.3 set to be updated
--> Processing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 for package: kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586
---> Package rhpxl.i586 0:1.12-2.fc11 set to be updated
--> Finished Dependency Resolution
kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586 from rpmfusion-nonfree-updates has depsolving problems
--> Missing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 is needed by package kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586 (rpmfusion-nonfree-updates)
Error: Missing Dependency: kernel-uname-r = 2.6.30.9-90.fc11.i586 is needed by package kmod-nvidia-2.6.30.9-90.fc11.i586-185.18.36-1.fc11.3.i586 (rpmfusion-nonfree-updates)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest



avant de suivre ce tuto, j'ai tapé " sudo yum update " et " sudo yum upgrade " .

olivier.

bob
27th October 2009, 11:27 PM
(moved to Mac & PPC)

leigh123linux
27th October 2009, 11:30 PM
(moved to Mac & PPC)

Technically it should be in the main forum as it isn't running a PPC arch. ;)

bob
28th October 2009, 12:48 AM
Well, that's two for two today! Back ya go!